#
# latex.conf
#
# Asciidoc configuration file.
# latex backend, generates LaTeX conformant markup.
#
# Originally created by Benjamin Klum, later modified by Geoff Eddy.

[titles]
subs=quotes,replacements,attributes,macros,specialcharacters,replacements2


# The listing block uses a LaTeX verbatim environment where special characters don't need to be escaped.
# Hence only "callouts" substitution should be applied.
[blockdef-listing]
source-style=template="listingblock",subs=("callouts",)


[attributes]
basebackend=latex
basebackend-latex=

latex-table-rowlimit=20
latex-use-bibliography-environment!
latex-indent-paragraphs!
latex-recognize-escaped-unicode!
latex-use-custom-list-items!
latex-use-colored-tables!
latex-use-running-title-headings!
latex-use-colored-sidebar-blocks!
newline=\n

[miscellaneous]
subsnormal=quotes,specialwords,replacements,attributes,macros,specialcharacters,replacements2
#subsnormal=quotes,specialwords,replacements,attributes,macros,passthroughs,specialcharacters,replacements2
subsverbatim=callouts,specialcharacters,replacements2
outfilesuffix=.tex
# Screen width in pixels.
pagewidth=360
pageunits=pt


[specialcharacters]
{=\{{}
}=\}{}
\=\textbackslash{}
$=\${}
<=\textless{}
>=\textgreater{}
&=\&{}
_=\_{}
%=\%{}
\#=\#{}
^=\textasciicircum{}
~=\textasciitilde{}
|=\textbar{}
"=\textquotedbl{}


[macros]
# I needed to rewrite some regular expressions because '<' and '>' have not been escaped to '&lt;' and '&gt;'

# Callout
[\\]?<(?P<index>\d+)>=callout

# Link: <<id,text>>
(?su)[\\]?<<(?P<attrlist>[\w"].*?)>>=xref2

[replacements]

# Line break.
(?m)^(.*)\s\+$=\1 !..backslash..!newline!..braceleft..!!..braceright..!

# -- Spaced em dashes (entity reference &mdash;)
(^|[^-\\])--($|[^-])=\1--\2


# (C) Copyright (entity reference &copy;)
(?<!\\)\(C\)=!..backslash..!textcopyright!..braceleft..!!..braceright..!
\\\(C\)=(C)

# (R) registered trade mark (entity reference &reg;
(?<!\\)\(R\)=!..backslash..!textregistered!..braceleft..!!..braceright..!
\\\(R\)=(R)

# (TM) Trademark (entity reference &trade;)
(?<!\\)\(TM\)=!..backslash..!texttrademark!..braceleft..!!..braceright..!
\\\(TM\)=(TM)

# ... Ellipsis (entity reference &hellip;)
(?<!\\)\.\.\.=!..backslash..!dots!..braceleft..!!..braceright..!
\\\.\.\.=...

# Recognize escaped unicode characters
# FIXME: these should be uncommented, but then there are encoding
# problems.

#&#([0-9]*);=!..backslash..!unichar!..braceleft..!\1!..braceright..!
#&#x([0123456789abcdefABCDEF]*);=!..backslash..!unichar!..braceleft..!{eval:0x\1}!..braceright..!

# -> right arrow
->=!..backslash..!textrightarrow!..braceleft..!!..braceright..!
# => right double arrow (have to enter math mode)
=>=!..dollar..!!..backslash..!Rightarrow!..braceleft..!!..braceright..!!..dollar..!
# <- left arrow
<-=!..backslash..!textleftarrow!..braceleft..!!..braceright..!
# <= left double arrow (have to enter math mode)
<\==!..dollar..!!..backslash..!Leftarrow!..braceleft..!!..braceright..!!..dollar..!
# --> long right arrow (have to enter math mode)
-->=!..backslash..!textrightarrow!..braceleft..!!..braceright..!
# ==> long right double arrow (have to enter math mode)
=\=>=!..dollar..!!..backslash..!Rightarrow!..braceleft..!!..braceright..!!..dollar..!
# <-- long left arrow (have to enter math mode)
<--=!..backslash..!textleftarrow!..braceleft..!!..braceright..!
# <== long left double arrow (have to enter math mode)
<\=\==!..dollar..!!..backslash..!Leftarrow!..braceleft..!!..braceright..!!..dollar..!
# apostrophe
(\w)'(\w)=\1'\2 

[quotes]
#``|''=
#`|'=
`=monospaced

[replacements2]
!..braceleft..!={
!..braceright..!=}
!..backslash..!=\\
!..dollar..!=$
!..lessthan..!=<
!..greaterthan..!=>
!..amp..!=&
!..underline..!=_
!..percent..!=%
!..sharp..!=#
!..circum..!=^
!..tilde..!=~
!..bar..!=|
!..doublequote..!="
#"


# Ruler is interpreted as a page break.
[ruler-blockmacro]
\clearpage

[image-inlinemacro]
!..backslash..!href!..braceleft..!{link}!..braceright..!!..braceleft..!!..percent..!
!..backslash..!includegraphics[{scale?scale={scale},}{width?width={width}pt,}{height? height={height}pt}]!..braceleft..!{target}!..braceright..!
{link#}!..braceright..!


[image-blockmacro]
\begin\{figure\}
\\hypertarget\{{id}\}\{\}
\caption\{{title}\}
\href\{{link}\}\{%
\includegraphics[{scale?scale={scale},}{width?width={width}pt,}{height? height={height}pt}]\{{target}\}%
\label\{{id}\}
{link#}\}
\end\{figure\}

[indexterm-inlinemacro]
# Inline index term.
!..backslash..!index!..braceleft..!{1}{2?!{2}}{3?!{3}}!..braceright..!

[indexterm2-inlinemacro]
# Inline index term.
# Single entry index term that is visible in the primary text flow.
!..backslash..!index!..braceleft..!{1}!..braceright..!{1}

[footnote-inlinemacro]
# Inline footnote.
!..backslash..!footnote!..braceleft..!{0}!..braceright..!

[footnoteref-inlinemacro]


[callout-inlinemacro]
# Inline callout.
<{index}>

[literal-inlinemacro]

[listtags-bulleted]
list={title?\minisec\{{title}\}} {id?\label\{{id}\}\\hypertarget\{{id}\}\{\}} \begin\{itemize\}|\end\{itemize\}
item=\item%|
text=|

[listtags-numbered]
list={title?\minisec\{{title}\}} {id?\label\{{id}\}\\hypertarget\{{id}\}\{\}} \begin\{enumerate\}|\end\{enumerate\}
item=\item%|
text=|

[listtags-labeled]
list=\begin\{description\}|\end\{description\}
item=
text=|
term=\item[|]\hfill\\*
entry=
label=

[listtags-horizontal]
list={title?\minisec\{{title}\}} {id?\label\{{id}\}\\hypertarget\{{id}\}\{\}} \begin\{description\}|\end\{description\}
item=
text=|
term=\item[%|]
entry=
label=

[listtags-dotted]
list={title?\minisec\{{title}\}} {id?\label\{{id}\}\\hypertarget\{{id}\}\{\}} \begin\{description\}|\end\{description\}
item=
text=|
term=\item[%|]\dotfill
entry=
label=

[listtags-callout]
list={title?\minisec\{{title}\}} {id?\label\{{id}\}\\hypertarget\{{id}\}\{\}} \begin\{enumerate\}|\end\{enumerate\}
item=\item%|
text=|

[listtags-qanda]
list={title?\minisec\{{title}\}} {id?\label\{{id}\}\\hypertarget\{{id}\}\{\}} \begin\{enumerate\}|\end\{enumerate\}
item=\begin\{quotation\}|\end\{quotation\}
text=|
term=|
entry=\item%|
label=

[listtags-glossary]
list={title?\minisec\{{title}\}} {id?\label\{{id}\}\\hypertarget\{{id}\}\{\}} \begin\{enumerate\}|\end\{enumerate\}
item=\item%|
text=|
term=\item%|
entry=
label=

[listtags-bibliography]
list=biblist={title?\minisec\{{title}\}} {id?\label\{{id}\}\\hypertarget\{{id}\}\{\}} \begin\{description\} | \end\{description\}
item=|
text=|



[tags]
superscript=!..backslash..!textsuperscript!..braceleft..!|!..braceright..!
subscript=!..backslash..!textsubscript!..braceleft..!|!..braceright..!
singlequoted=``|''
doublequoted=`|'
#'


# Quoted text.
emphasis=!..backslash..!emph!..braceleft..!|!..braceright..!
strong=!..backslash..!textbf!..braceleft..!|!..braceright..!
monospaced=!..backslash..!texttt!..braceleft..!|!..braceright..!
doublequoted=!..backslash..!{language!textquotedblleft}{language?{language@.german:glqq}}{language?{language@english:textquotedblleft}}!..braceleft..!!..braceright..!|!..backslash..!{language?{language@.german:grqq}}{language?{language@english:textquotedblright}}{language!textquotedblright}!..braceleft..!!..braceright..!
unquoted=|

# $$ inline passthrough.
$$passthrough=|

# Inline macros
[http-inlinemacro]
!..backslash..!href!..braceleft..!{name}:{target}!..braceright..!!..braceleft..!{1={name}:{target}}!..braceright..!
[https-inlinemacro]
!..backslash..!href!..braceleft..!{name}:{target}!..braceright..!!..braceleft..!{1={name}:{target}}!..braceright..!
[ftp-inlinemacro]
!..backslash..!href!..braceleft..!{name}:{target}!..braceright..!!..braceleft..!{1={name}:{target}}!..braceright..!
[file-inlinemacro]
!..backslash..!href!..braceleft..!{name}:{target}!..braceright..!!..braceleft..!{1={name}:{target}}!..braceright..!
[mailto-inlinemacro]
!..backslash..!href!..braceleft..!{name}:{target}!..braceright..!!..braceleft..!{1={target}}!..braceright..!
[callto-inlinemacro]
!..backslash..!href!..braceleft..!{name}:{target}!..braceright..!!..braceleft..!{1={target}}!..braceright..!
[link-inlinemacro]
!..backslash..!href!..braceleft..!{target}!..braceright..!!..braceleft..!{1={target}}!..braceright..!
# anchor:id[text]
[anchor-inlinemacro]
!..backslash..!label!..braceleft..!{target}!..braceright..!!..backslash..!hypertarget!..braceleft..!{target}!..braceright..!!..braceleft..!!..braceright..!
# [[id,text]]
[anchor2-inlinemacro]
!..backslash..!label!..braceleft..!{1}!..braceright..!!..backslash..!hypertarget!..braceleft..!{1}!..braceright..!!..braceleft..!{2={1}}!..braceright..!
# [[[id]]]
[anchor3-inlinemacro]
{latex-use-bibliography-environment?!..backslash..!bibitem!..braceleft..!{1}!..braceright..!} {latex-use-bibliography-environment!!..backslash..!item[{1}]} !..backslash..!label!..braceleft..!{1}!..braceright..!!..backslash..!hypertarget!..braceleft..!{1}!..braceright..!!..braceleft..!!..braceright..!
# xref:id[text]
[xref-inlinemacro]
{style#}{style$page:!..backslash..!pageref!..braceleft..!{target}!..braceright..!}
{style#}{style$autoref:!..backslash..!autoref!..braceleft..!{target}!..braceright..!}
{style#}{style$ref:!..backslash..!ref!..braceleft..!{target}!..braceright..!}
{style#}{latex-use-bibliography-environment#}{style$cite:!..backslash..!cite!..braceleft..!{target}!..braceright..!}
{style#}{latex-use-bibliography-environment%}{style$cite:!..backslash..!hyperlink!..braceleft..!{target}!..braceright..!!..braceleft..!{0=[{target}]}!..braceright..!}
{style%}!..backslash..!hyperlink!..braceleft..!{target}!..braceright..!!..braceleft..!{0=[{target}]}!..braceright..!!..backslash..!showpagenumber!..braceleft..!{target}!..braceright..!
# <<id,text>>
[xref2-inlinemacro]
{3#}{3$page:!..backslash..!pageref!..braceleft..!{1}!..braceright..!}
{3#}{3$autoref:!..backslash..!autoref!..braceleft..!{1}!..braceright..!}
{3#}{3$ref:!..backslash..!ref!..braceleft..!{1}!..braceright..!}
{3#}{latex-use-bibliography-environment#}{3$cite:!..backslash..!cite!..braceleft..!{1}!..braceright..!}
{3#}{latex-use-bibliography-environment%}{3$cite:!..backslash..!hyperlink!..braceleft..!{1}!..braceright..!!..braceleft..!{2=[{1}]}!..braceright..!}
{3%}!..backslash..!hyperlink!..braceleft..!{1}!..braceright..!!..braceleft..!{2=[{1}]}!..braceright..!


# Special word substitution.
[emphasizedwords]
!..backslash..!emph!..braceleft..!{words}!..braceright..!
[monospacedwords]
!..backslash..!texttt!..braceleft..!{words}!..braceright..!
[strongwords]
!..backslash..!textbf!..braceleft..!{words}!..braceright..!



# Paragraph substitution.
[paragraph]
{title%} \par{latex-indent-paragraphs!\noindent\{\}}
{title#} \paragraph\{{title}\}
\label\{{id}\}\\hypertarget\{{id}\}\{\}

|

[literalparagraph]
# The literal block employs the same markup.
template::[literalblock]

[verseparagraph]
# The verse block employs the same markup.
template::[verseblock]

[admonitionparagraph]
# The admonition block employs the same markup.
template::[admonitionblock]

# Delimited blocks.
[passthroughblock]
|

# FIXME: without the FANCYVRBSTOP we would get an unwanted
# blank line before \end{Verbatim}. 
# I.E.
#
# |{newline}
# \end{Verbatim}
# 
# yields
#
# <verbatimtext>
# 
# \end{Verbatim}
#
# in the output .tex. This might be a bug/feature in AsciiDoc 
# when {newline} is thrown at it.

[listingblock]
\minisec\{{caption=}{title}\}
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\begin\{Verbatim\}[frame=single]{newline}
|
{newline}FANCYVRBSTOP
\end\{Verbatim\}
{newline}


[literalblock]
\minisec\{{title}\}
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\begin\{alltt\}

|

\end\{alltt\}

[verseblock]
\minisec\{{title}\}
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\begin\{alltt\}
\normalfont\{\}

|

\end\{alltt\}

[sidebarblock]
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\par\noindent{}
ifndef::latex-use-colored-sidebar-blocks[]
\setlength\{\tabcolsep\}\{0pt\}
\rowcolors\{1\}\{\}\{\}
\begin\{tabular\}\{l>\{\columncolor[gray]\{.75\}\}rcl\}
\hspace*\{0pt\} &
\hspace*\{8pt\} &
\hspace*\{16pt\} &
\begin\{minipage\}\{4in\}
endif::latex-use-colored-sidebar-blocks[]
ifdef::latex-use-colored-sidebar-blocks[]
\fcolorbox\{SidebarBorderColor\}\{SidebarBackgroundColor\}\{\parbox\{\textwidth\}\{
endif::latex-use-colored-sidebar-blocks[]
\minisec\{{title}\}

|

ifdef::latex-use-colored-sidebar-blocks[]
\}
\}
endif::latex-use-colored-sidebar-blocks[]
ifndef::latex-use-colored-sidebar-blocks[]
\end\{minipage\}
\end\{tabular\}
endif::latex-use-colored-sidebar-blocks[]
\bigskip

[quoteblock]
\minisec\{{title}\}
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\begin\{quote\}

|

\end\{quote\}

\begin\{flushright\}
{citetitle} \\
-- {attribution}
\end\{flushright\}

[exampleblock]
\minisec\{{caption=}{title}\}
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\begin\{quotation\}

|

\end\{quotation\}

[admonitionblock]
\begin\{addmargin*\}[0em]\{0em\}
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\begin\{minipage\}\{\\linewidth\}
{icons#} \includegraphics\{{icon={iconsdir}/{name}.png}\}
{icons%} \minisec\{{caption}\}
\rule\{\\linewidth\}\{2pt\}
\par\{\}\\noindent\{\}|\par\{\}\\noindent\{\}%
\rule[.25\baselineskip]\{\\linewidth\}\{2pt\}
\end\{minipage\}
\end\{addmargin*\}

# Bibliography list.
# Same as numbered list.
[listdef-bibliography]
listtag=biblist
itemtag=biblistitem
texttag=biblisttext

# Glossary list.
# Same as labeled list.
[listdef-glossary]
listtag=vlist
itemtag=vlistitem
texttag=vlisttext
entrytag=vlistentry
labeltag=vlistterm

[listdef-labeled]
dotted-style=tags="dotted"

# Tables.
# FIXME: no lines!

[tabletags-monospaced]

[tabletags-strong]

[tabletags-verse]

[tabletags-literal]

[tabletags-emphasis]

[tabletags-asciidoc]

#[tabledef-default]

[tabletags-default]
#template=table
colspec=>\{{valign@left:\\raggedright}{valign@center:\\centering}{valign@right:\\raggedleft}\}p\{ {colabswidth}pt \}
bodyrow=| \tabularnewline
headdata=\{\\bfseries\{\}|\} {colnumber@{colcount}::&}
footdata=\{\\bfseries\{\}|\} {colnumber@{colcount}::&}
bodydata=| {colnumber@{colcount}:%:&}
paragraph=

[tabletags-header]

[table]
ifdef::latex-use-colored-tables[]
\rowcolors\{1\}\{TableEvenColor\}\{TableOddColor\}
\setlength\arrayrulewidth\{1.5pt\}
\arrayrulecolor\{TableBorderColor\}
endif::latex-use-colored-tables[]
{eval:{rowcount}{gt}{latex-table-rowlimit}} \begin\{longtable\}\{
{eval:{rowcount}{gt}{latex-table-rowlimit}} {frame$all|sides:|}
{eval:{rowcount}{gt}{latex-table-rowlimit}} {colspecs}
{eval:{rowcount}{gt}{latex-table-rowlimit}} {frame$all|sides:|}
{eval:{rowcount}{gt}{latex-table-rowlimit}} \}
{eval:{rowcount}{gt}{latex-table-rowlimit}} \hypertarget\{{id}\}\{\}
{eval:{rowcount}{gt}{latex-table-rowlimit}} \caption\{{title}\}
{eval:{rowcount}{gt}{latex-table-rowlimit}} {frame$all|topbot:\hline}
{eval:{rowcount}{gt}{latex-table-rowlimit}} {headrows}
{eval:{rowcount}{gt}{latex-table-rowlimit}} {headrows#} \endhead
{eval:{rowcount}{gt}{latex-table-rowlimit}} {footrows}
{eval:{rowcount}{gt}{latex-table-rowlimit}} {footrows#} \endlastfoot
{eval:{rowcount}{gt}{latex-table-rowlimit}} 
{eval:{rowcount}{gt}{latex-table-rowlimit}} {bodyrows}
{eval:{rowcount}{gt}{latex-table-rowlimit}} {frame$all|topbot:\hline}
{eval:{rowcount}{gt}{latex-table-rowlimit}} \label\{{id}\}
{eval:{rowcount}{gt}{latex-table-rowlimit}} \end\{longtable\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {title%} \par{latex-indent-paragraphs!\noindent}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {title#} \begin\{table\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \hypertarget\{{id}\}\{\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \caption\{{title}\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \begin\{minipage\}\{\\textwidth\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \renewcommand\{\\thefootnote\}\{\\thempfootnote\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \centering
{eval:{rowcount}{lt}={latex-table-rowlimit}} \begin\{tabular\}\{
{eval:{rowcount}{lt}={latex-table-rowlimit}} {frame$all|sides:|}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {colspecs}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {frame$all|sides:|}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {frame$all|topbot:\hline}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {headrows}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {bodyrows}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {footrows}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {frame$all|topbot:\hline}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \end\{tabular\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \renewcommand\{\\footnoterule\}\{\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \end\{minipage\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} \label\{{id}\}
{eval:{rowcount}{lt}={latex-table-rowlimit}} {title#} \end\{table\}

[specialsections]
ifdef::doctype-article[]
^Abstract$=abstract
endif::doctype-article[]

ifdef::doctype-book[]
^Dedication$=dedication
endif::doctype-book[]

# we generate our own index, dont make Index special
^Reference Index$=index

ifdef::latex-use-bibliography-environment[]
^(Bibliography|References)$=bibliography
endif::latex-use-bibliography-environment[]

^Appendix.*$=appendix
^(TOC|Contents)$=toc

^Figures$=list-of-figures

# Special sections.


[list-of-figures]
\listoffigures


[toc]
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\tableofcontents

[index]
\chapter\{{title}\}
#\label\{{id}\}\\hypertarget\{{id}\}\{\}
\renewcommand\{\\showpagenumber\}[1]\{, \pageref\{#1\}\}
|

ifdef::latex-use-bibliography-environment[]
[bibliography]
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\begin\{thebibliography\}\{99\}
|
\end\{thebibliography\}
endif::latex-use-bibliography-environment[]

[appendix]
\appendix
\label\{{id}\}\\hypertarget\{{id}\}\{\}
|

[abstract]
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\begin\{abstract\}
|

\end\{abstract\}

[abstractblock]

[dedication]
\label\{{id}\}\\hypertarget\{{id}\}\{\}
\dedication\{
|
\}

[preamble]
# Untitled elements between header and first section title.
ifdef::doctype-book[]
\frontmatter
\chapter*\{Preface\}
\label\{preamble\}\\hypertarget\{{preamble}\}\{\}
endif::doctype-book[]


|

ifdef::doctype-book[]
\mainmatter
endif::doctype-book[]

# Document sections.
[sect1]
\hypertarget\{{id}\}\{\}
\chapter\{{title}\}
\label\{{id}\}
|

[sect2]
\hypertarget\{{id}\}\{\}
\section\{{title}\}
\label\{{id}\}

[sect3]
\hypertarget\{{id}\}\{\}
\subsection\{{title}\}
\label\{{id}\}
|

[sect4]
\hypertarget\{{id}\}\{\}
\subsubsection\{{title}\}
\label\{{id}\}
|

#[sect4]
#\hypertarget\{{id}\}\{\}
#\minisec\{{title}\}
#\label\{{id}\}
#|


# FIXME: if the "backgroundcolor" entry is present as below, the
# background comes out black and is unreadable in PDF, although it is
# OK in DVI.
# \lstset\{basicstyle=\footnotesize\ttfamily,showstringspaces=false,breaklines,frame=single, rulecolor=\color\{ListingBorderColor\}, backgroundcolor=\color\{ListingBackgroundColor\}, xleftmargin=0cm, linewidth=0.95\textwidth\}


[header]
{encoding$UTF-8:}% coding: utf-8
\documentclass [
               a4paper,
               titlepage,
               parskip=half,
               openright
               ]\{{doctype@article:scrartcl:scrbook}\}
\pagestyle\{{latex-use-running-title-headings?headings}{latex-use-running-title-headings!plain}\}
\usepackage\{cmap\}
\usepackage\{makeidx\}
\usepackage[table]\{xcolor\}
\usepackage\{color\}
\definecolor\{LinkColor\}\{rgb\}\{0.95,0.80,0.80\}
\definecolor\{UrlColor\}\{rgb\}\{0.80,0.80,0.95\}
\definecolor\{TableEvenColor\}\{rgb\}\{0.93,1,0.8\}
\definecolor\{TableOddColor\}\{rgb\}\{0.93,1,1\}
\definecolor\{TableBorderColor\}\{rgb\}\{0.55,0.67,0.73\}
\definecolor\{ListingBorderColor\}\{rgb\}\{0.55,0.55,0.55\}
\definecolor\{ListingBackgroundColor\}\{rgb\}\{0.95,0.95,0.95\}
\definecolor\{SidebarBorderColor\}\{rgb\}\{0.95,0.95,0.95\}
\definecolor\{SidebarBackgroundColor\}\{rgb\}\{1,1,0.93\}
\usepackage\{type1ec\}
\usepackage[{language=english}]\{babel\}
\usepackage[
    pdftex,
    pdftitle=\{{doctitle}\},
    pdfauthor=\{{author}\},
    backref,
    pagebackref,
    breaklinks=true,
    unicode,
    urlbordercolor=UrlColor,
    linkbordercolor=LinkColor
    ]
    \{hyperref\}
\usepackage\{enumerate\}
\usepackage\{graphicx\}
\usepackage\{longtable\}
\usepackage[T1]\{fontenc\}
\usepackage\{ucs\}
\usepackage[{encoding@ISO-8859-1:latin1}{encoding@UTF-8:utf8x}{encoding!utf8x}]\{inputenc\}
\usepackage\{textcomp\}
\usepackage\{alltt\}
%\usepackage\{listings\}
%\usepackage\{verbatim\}
%\usepackage\{moreverb\}
\usepackage\{fancyvrb\}
\usepackage\{upquote\}
\usepackage\{bookman\}
\usepackage\{microtype\}

\newcommand*\FancyVerbStopString\{FANCYVRBSTOP\}
\newcommand\{\\showpagenumber\}[1]\{ (p.\,\pageref\{#1\})\}

%\lstset\{basicstyle=\footnotesize\ttfamily,showstringspaces=false,breaklines,frame=single, rulecolor=\color\{ListingBorderColor\}, xleftmargin=0cm, linewidth=0.95\textwidth\}

{latex-indent-paragraphs%\setlength\{\\parskip\}\{1ex plus 0.5ex minus 0.2ex\}}

\makeatletter
\DeclareRobustCommand*\textsubscript[1]\{%
  \@textsubscript\{\selectfont#1\}\}
\def\@textsubscript#1\{%
  \{\m@th\ensuremath\{_\{\mbox\{\fontsize\sf@size\z@#1\}\}\}\}\}
\makeatother

\subject\{{subject}\}
\title\{{doctitle}\}
\author\{{author}{email?, \href\{mailto:{email}\}\{{email}\}}\}
\date\{{revdate}\}
%\publishers\{\begin\{tabular\}\{ll\} {revision?\textbf\{Revision:\} & {revision} \\ }  {keywords?\textbf\{Keywords:\} & {keywords} \\ } \end\{tabular\}\}

\makeindex

\begin\{document\}

%\newcommand{\texttesh}{\textteshlig\/}

\label\{header\}\\hypertarget\{header\}\{\}
{doctitle#\maketitle}

[footer]
\label\{footer\}\\hypertarget\{footer\}\{\}
\end\{document\}
